Subject: [dnsop] Fwd: [Geopriv] questions/comments regarding draft-schulzrinne-geopriv-relo

From: John Schnizlein <[email-masked]>
Date: Fri, 11 Aug 2006 18:18:30 -0400

My impression is that the use of the DNS to discover the location 
server for a host, as described here, could benefit from some careful 
consideration by those most familiar with DNS operations.

John

Begin forwarded message:

> From: Andrew Newton <[email-masked]>
> Date: August 11, 2006 4:47:51 PM EDT
> To: [email-masked]
> Subject: [Geopriv] questions/comments regarding 
> draft-schulzrinne-geopriv-relo
>
> A couple of questions/comments on draft-schulzrinne-geopriv-relo.
>
> 1) The discovery section could use a little more detail.  I assume 
> that the following mechanisms are being described:
>
>    a - if the hostname of the machine sending the query is 
> bubba.example.net, then issue a NAPTR query (S-NAPTR/U-NAPTR) at 
> bubba.exmaple.net.  How you managed to get your host named 
> bubba.example.net is really not important.
>
>    b - if your IP address is 192.168.1.2, then send a NAPTR query 
> (again S-NAPTR/U-NAPTR) to 2.1.168.192.in-addr.arpa.
>
> Is there any thought to which I do first?  And what about things like 
> mDNS?
>
> 2) For a request with by="events", is it possible to get both the XML 
> response and the Subscribe headers?  And if so, what is the purpose of 
> having two mechanisms?  The explanation regarding the selection of an 
> HTTP header field is a bit confusing, especially the part about the 
> JPEG image. It makes it sound as if the querier sends the request in 
> XML and can get back an JPEG image.  Did I misread that?
>
> 3) The key for the lookup is the source IP address of the request.  Is 
> there any thought to allowing something like a DHCP client ID?
>
> -andy
>
>
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/geopriv
>
.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html